dpt-packagecheck(1)

NAME
dpt-packagecheck - check package source for group policy consistency

SYNOPSIS
dpt packagecheck -c check-option...

dpt packagecheck -p package top-directory check-option...

DESCRIPTION
dpt packagecheck performs various checks of package sources and tries to correct them in accordance with the policies of the Debian Perl Group.

  Package selection options
dpt packagecheck can operate either on a single package, or on all packages maintained by the group.

To run the checks on all group packages, use the -c option with working directory containing packages/ directory.

To run the checks on individual package, use -p package top-directory, where top-directory is the directory containing the packages/ directory.

  Repository interaction
If the -a option is given, changes are committed to the repository by calling "mr commit".

If the -n option is given, no changes are committed.

If neither option is given, dpt packagecheck asks for confirmation before calling "mr commit".

Note that "mr commit" also pushes the changes to the remote repository.

  Check selection options

-A  Run all the checks.

-V  Add/fix "Vcs-Git" and "Vcs-Browser" fields in debian/control and remove "XS-Vcs-(Svn|Git|Browser)" fields.

-H  Add "Homepage" field to debian/control and remove "Homepage" pseudo-field.

-M  Check the "Maintainer" field of debian/control and make sure it is "Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>".

-D  debian/control: add "${misc:Depends}" to "Depends".

-d  debian/copyright: Substitute "Format-Specification" URL for DEP-5 revisions to anonscm.debian.org URL.

-P  debian/control: substitute occurrences of dependencies like "perl (>= 5.6.0-{12,16})" with dependencies on "perl" without a version.

-O  debian/control: replace "perl-modules" with "perl"

-W  debian/watch: change CPAN URLs to <https://metacpan.org/release/Mod-Ule> and update to ignore developer releases

-C  If -W is given, create debian/watch if it does not exist

-R  debian/rules: rmdir /usr/\{lib,share\}/perl5 only if they exist; switch "dh --with foo \$@" to "dh \$@ --with foo"

COPYRIGHT & LICENSE

Copyright 2011-2013, Salvatore Bonaccorso carnil@debian.org
Copyright 2007, 2008, 2009, 2011, 2025 gregor herrmann gregoa@debian.org
Copyright 2007, 2008 Damyan Ivanov dmn@debian.org
Copyright 2007 David Paleino d.paleino@gmail.com

Released under the terms of the GNU GPL version 2